Funnels
Draft Funnel
POST
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringapplication/json- body
prompt*stringcurrent*|nullfields*array<>values*Success
application/json- response
name*stringdescription?string|null|nullsteps*array<>exclusions?array<>|nullholdProperty?string|null|nullconversionWindowSeconds*number|strictOrder*booleantimeRangeSeconds*number|curl -X POST 'https://api.faststats.dev/v0/projects/string/funnels/draft' \ -H 'Content-Type: application/json' \ -d '{ "prompt": "string", "current": { "name": "string", "steps": [ { "id": "string", "name": "string", "match": "all", "filters": [ { "field": "string", "operator": "equals", "value": "string" } ] } ], "conversionWindowSeconds": 0, "strictOrder": true, "timeRangeSeconds": 0 }, "fields": [ { "id": "string", "label": "string", "type": "string" } ], "values": { "property1": [ "string" ], "property2": [ "string" ] }}'Example Response
{ "name": "string", "description": "string", "steps": [ { "type": "event", "id": "string", "name": "string", "match": "all", "filters": [ { "field": "string", "operator": "equals", "value": "string" } ] } ], "exclusions": [ { "type": "event", "id": "string", "name": "string", "match": "all", "filters": [ { "field": "string", "operator": "equals", "value": "string" } ] } ], "holdProperty": "string", "conversionWindowSeconds": 0, "strictOrder": true, "timeRangeSeconds": 0}curl -X POST 'https://api.faststats.dev/v0/projects/string/funnels/draft' \
-H 'Content-Type: application/json' \
-d '{
"prompt": "string",
"current": {
"name": "string",
"steps": [
{
"id": "string",
"name": "string",
"match": "all",
"filters": [
{
"field": "string",
"operator": "equals",
"value": "string"
}
]
}
],
"conversionWindowSeconds": 0,
"strictOrder": true,
"timeRangeSeconds": 0
},
"fields": [
{
"id": "string",
"label": "string",
"type": "string"
}
],
"values": {
"property1": [
"string"
],
"property2": [
"string"
]
}
}'{
"name": "string",
"description": "string",
"steps": [
{
"type": "event",
"id": "string",
"name": "string",
"match": "all",
"filters": [
{
"field": "string",
"operator": "equals",
"value": "string"
}
]
}
],
"exclusions": [
{
"type": "event",
"id": "string",
"name": "string",
"match": "all",
"filters": [
{
"field": "string",
"operator": "equals",
"value": "string"
}
]
}
],
"holdProperty": "string",
"conversionWindowSeconds": 0,
"strictOrder": true,
"timeRangeSeconds": 0
}